Skip to main content
GET
/
api
/
partners
/
v2.0
/
org
/
{org_id}
/
users
/
{user_id}
/
inverters
/
{inverter_id}
/
data
Get inverter data
curl --request GET \
  --url https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/inverters/{inverter_id}/data \
  --header 'Authorization: Bearer <token>'
{
  "metadata": {},
  "data": [
    {
      "time": "2021-01-01T00:00:00Z",
      "price": 52.1,
      "solar_production_w": 1000,
      "export_power_to_grid_w": 100,
      "household_consumption_w": 900,
      "battery_charge_level_percent": 50,
      "battery_charge_discharge_power_w": 900,
      "estimated_consumption": 900,
      "unoptimized_consumption": 900
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.podero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

org_id
string<uuid>
required

The organization ID

user_id
string<uuid>
required

The user ID

inverter_id
string<uuid>
required

The inverter ID

Query Parameters

from_datetime
string<date-time> | null

The start of the time range

to_datetime
string<date-time> | null

The end of the time range

resolution
string
default:15MIN

The time interval for aggregating data

keywords
string | null

A comma-separated list of keywords

include_deleted
boolean
default:false

If true, includes soft-deleted

Response

OK

metadata
Metadata · object
required
data
InverterDataPointOutput · object[]
required